import { FunctionalComponent, VNode } from '../../stencil-public-runtime';
import { DropdownComponent } from './component';
import { BalOption } from './option';
export declare class DropdownValueUtil {
    private component;
    connectedCallback(component: DropdownComponent): void;
    componentDidLoad(): void;
    isDisabled(): boolean;
    isFilled(): boolean;
    valueChanged(newValue: string | string[] | undefined, oldValue: string | string[] | undefined): void;
    updateRawValueBySelection(newRawValue?: string[], isAutoFilled?: boolean): void;
    parseValueString(newValue?: string | string[]): string[];
    updateRawValueByValueProp(newValue?: string | string[]): void;
    updateRawValue(newRawValue?: string[]): Promise<void>;
    removeOption(option: BalOption): void;
    updateInputContent(): Promise<void>;
}
export interface DropdownValueProps {
    inlineLabel: string;
    filled: boolean;
    chips: boolean;
    placeholder: string;
    choices: BalOption[];
    renderChip: (option: BalOption) => VNode | VNode[];
}
export declare const DropdownValue: FunctionalComponent<DropdownValueProps>;
